import React from 'react';

declare type BottomItemsStyledProps = React.HTMLAttributes<HTMLUListElement> & {
    $zIndex?: number;
};
declare type BottomItemsProps = Omit<BottomItemsStyledProps, '$zIndex'> & {
    children: React.ReactNode;
    zIndex: number;
};
declare const BottomItems: ({ children, ...containerProps }: BottomItemsProps) => JSX.Element;

declare type BottomItemProps = {
    active?: boolean;
    icon?: React.ReactNode;
    label: string;
    wrapper: React.FunctionComponent<any>;
};
declare const BottomItem: ({ active, icon, label, wrapper: Wrapper, }: BottomItemProps) => JSX.Element;

export { BottomItem, BottomItems };
